BTXLD(8)

NAME
btxld - link editor for BTX clients

SYNOPSIS
btxld [-qv] [-b file] [-E address] [-e address] [-f format] [-l file] [-o filename] [-P page] [-W page] file

DESCRIPTION
The btxld utility binds the specified client executable together with a BTX loader program and the BTX kernel, and creates a composite object file suitable for loading during the boot process.

The options are:

-q  Quiet: inhibit warnings.

-v  Verbose: display information about the files processed.

-b file
    Specify the BTX kernel to be bound with the client.

-E address
    Set the client entry point.

-e address
    Set the BTX loader entry point.

-f format
    Specify the output format, where format is one of ‘bin’, ‘aout’, or ‘elf’.

-l file
    Specify the BTX loader to be bound with the client.

-o filename
    Name the output file. The default is “a.out”.

-P page
    Specify the first page of the client's segment to be marked ‘present’, where page may be 0 or 1.

-W page
    Specify the first page of the client's segment to be marked ‘writable’, where page may be 0, and should not exceed the number of pages occupied by the combined .text and .data segments of the client image.

EXIT STATUS

SEE ALSO
ld(1), boot(8)

AUTHORS
Robert Nordier <rnordier@FreeBSD.org>.